import request from '@/utils/request'

// 查询研究资料管理列表
export function listGen(query) {
  return request({
    url: '/study/gen/list',
    method: 'get',
    params: query
  })
}

// 查询研究资料管理详细
export function getGen(id) {
  return request({
    url: '/study/gen/' + id,
    method: 'get'
  })
}

// 新增研究资料管理
export function addGen(data) {
  return request({
    url: '/study/gen',
    method: 'post',
    data: data
  })
}

// 修改研究资料管理
export function updateGen(data) {
  return request({
    url: '/study/gen',
    method: 'put',
    data: data
  })
}

// 删除研究资料管理
export function delGen(id) {
  return request({
    url: '/study/gen/' + id,
    method: 'delete'
  })
}
